{-# LANGUAGE MultiParamTypeClasses, FunctionalDependencies #-}
{-# OPTIONS_GHC -fno-warn-duplicate-exports #-}
module Data.FpML.V53.Main
  ( module Data.FpML.V53.Main
  , module Data.FpML.V53.Generic
  , module Data.FpML.V53.Standard
  , module Data.FpML.V53.IRD
  , module Data.FpML.V53.FX
  , module Data.FpML.V53.Eqd
  , module Data.FpML.V53.Swaps.Return
  , module Data.FpML.V53.CD
  , module Data.FpML.V53.Option.Bond
  , module Data.FpML.V53.Swaps.Correlation
  , module Data.FpML.V53.Swaps.Dividend
  , module Data.FpML.V53.Swaps.Variance
  , module Data.FpML.V53.Com
  , module Data.FpML.V53.Notification.CreditEvent
  , module Data.FpML.V53.Reporting.Valuation
  , module Data.FpML.V53.Processes.Recordkeeping
  , module Data.FpML.V53.Valuation
  ) where
 
import Text.XML.HaXml.Schema.Schema (SchemaType(..),SimpleType(..),Extension(..),Restricts(..))
import Text.XML.HaXml.Schema.Schema as Schema
import qualified Text.XML.HaXml.Schema.PrimitiveTypes as Xsd
import {-# SOURCE #-} Data.FpML.V53.Generic
import {-# SOURCE #-} Data.FpML.V53.Standard
import {-# SOURCE #-} Data.FpML.V53.IRD
import {-# SOURCE #-} Data.FpML.V53.FX
import {-# SOURCE #-} Data.FpML.V53.Eqd
import {-# SOURCE #-} Data.FpML.V53.Swaps.Return
import {-# SOURCE #-} Data.FpML.V53.CD
import {-# SOURCE #-} Data.FpML.V53.Option.Bond
import {-# SOURCE #-} Data.FpML.V53.Swaps.Correlation
import {-# SOURCE #-} Data.FpML.V53.Swaps.Dividend
import {-# SOURCE #-} Data.FpML.V53.Swaps.Variance
import {-# SOURCE #-} Data.FpML.V53.Com
import {-# SOURCE #-} Data.FpML.V53.Notification.CreditEvent
import {-# SOURCE #-} Data.FpML.V53.Reporting.Valuation
import {-# SOURCE #-} Data.FpML.V53.Processes.Recordkeeping
import {-# SOURCE #-} Data.FpML.V53.Valuation
 
-- | products 
 
-- | business process messaging 
 
-- | reporting and settlement 
 
-- | A type defining a content model that includes valuation 
--   (pricing and risk) data without expressing any processing 
--   intention. 
data ValuationDocument
instance Eq ValuationDocument
instance Show ValuationDocument
instance SchemaType ValuationDocument
instance Extension ValuationDocument DataDocument
instance Extension ValuationDocument Document
 
-- | A document containing trade and/or portfolio and/or party 
--   data without expressing any processing intention. 
elementDataDocument :: XMLParser DataDocument
elementToXMLDataDocument :: DataDocument -> [Content ()]
 
-- | A document that includes trade and/or valuation (pricing 
--   and risk) data without expressing any processing intention. 
elementValuationDocument :: XMLParser ValuationDocument
elementToXMLValuationDocument :: ValuationDocument -> [Content ()]
