{-# LANGUAGE MultiParamTypeClasses, FunctionalDependencies #-}
{-# OPTIONS_GHC -fno-warn-duplicate-exports #-}
module Data.FpML.V53.Standard
  ( module Data.FpML.V53.Standard
  , module Data.FpML.V53.Shared
  , module Data.FpML.V53.Asset
  ) where
 
import Text.XML.HaXml.Schema.Schema (SchemaType(..),SimpleType(..),Extension(..),Restricts(..))
import Text.XML.HaXml.Schema.Schema as Schema
import qualified Text.XML.HaXml.Schema.PrimitiveTypes as Xsd
import {-# SOURCE #-} Data.FpML.V53.Shared
import {-# SOURCE #-} Data.FpML.V53.Asset
 
-- | A product to represent a standardized OTC derivative 
--   transaction whose economics do not need to be fully 
--   described using an FpML schema because they are implied by 
--   the product ID. 
elementStandardProduct :: XMLParser StandardProduct
elementToXMLStandardProduct :: StandardProduct -> [Content ()]
 
-- | Simple product representation providing key information 
--   about a variety of different products 
data StandardProduct
instance Eq StandardProduct
instance Show StandardProduct
instance SchemaType StandardProduct
instance Extension StandardProduct Product
